unit Motoraus;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,wnaspi32,AspiAnwendung;

type
  TForm1 = class(TForm)
    StopButton: TButton;
    Memo: TMemo;
    StartButton: TButton;
    ListBox1: TListBox;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure StopButtonClick(Sender: TObject);
    procedure StartButtonClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}




procedure TForm1.FormCreate(Sender: TObject);
var i:integer;
begin
    GetDiskDeviceInfos(Memo.Lines);
    for i:=0 to DiskDrives.count-1 do
      ListBox1.Items.Add(PDiskDevices(DiskDrives[i])^.Name);
end;

procedure TForm1.StopButtonClick(Sender: TObject);
var i:integer;
begin
  for i:=0 to ListBox1.items.count-1 do
    if Listbox1.selected[i] then StartStopUnit(false,DiskDrives[i]);
end;

procedure TForm1.StartButtonClick(Sender: TObject);
var i:integer;
begin
  Screen.Cursor := crHourglass;    { Cursor als Sanduhr }
  try
    for i:=0 to ListBox1.items.count-1 do
      if Listbox1.selected[i] then StartStopUnit(true,DiskDrives[i]);
  finally
    Screen.Cursor := crDefault;  { Alten Zustand wiederherstellen }
  end;
end;

end.
